Bug 924184 - Creating user - unable to clear the Username field
Creating user - unable to clear the Username field
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-03-21 06:46 EDT by Jan Stodola
Modified: 2013-05-12 13:09 EDT (History)
8 users (show)

See Also:
Fixed In Version: anaconda-19.13-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-12 13:09:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2013-03-21 06:46:54 EDT
Description of problem:
The Create User spoke doesn't allow to remove all characters from the "Username" field if the "Full name" field is not empty.

Version-Release number of selected component (if applicable):
Fedora-19-Alpha-TC1
anaconda-19.12

How reproducible:
always

Steps to Reproduce:
1. start installation in graphical mode
2. configure partitioning/package set and begin the installation
3. click on "CREATE USER"
4. enter your name to the "Full Name" field (entered "Jan Stodola")
5. switch to the "Username" field and try to delete pre-filled username (jstodola)
  
Actual results:
It is not possible to delete all characters from the "Username" field, as soon as all characters are deleted, anaconda resets the field to previously pre-filled username ("jstodola" in my case).

Expected results:
It is possible to delete all characters in the "Username" field.
Comment 1 Jan Stodola 2013-03-26 08:41:45 EDT
The Username field can be cleared. Tested on F19-Alpha-TC2, anaconda-19.13.

Moving to VERIFIED.
Comment 2 Adam Williamson 2013-05-12 13:09:18 EDT
We're well past that anaconda in stable now. Closing.

Note You need to log in before you can comment on or make changes to this bug.